Package twisted :: Package web :: Module xmlrpc

[show private | hide private]
[frames | no frames]

## Module twisted.web.xmlrpc

A generic resource for publishing objects via XML-RPC.

Requires xmlrpclib (comes standard with Python 2.2 and later, otherwise can be downloaded from http://www.pythonware.com/products/xmlrpc/).

API Stability: semi-stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`XMLRPC` | A resource that implements XML-RPC.
`Handler` | Handle a XML-RPC request and store the state for a request in progress.
`Proxy` | A Proxy for making remote XML-RPC calls.
`QueryFactory` |
`QueryProtocol` |
`_DeferredResult` | The deferred result of an XML-RPC request.

Exceptions
`NoSuchFunction` | There is no function by the given name.

Variable Summary
`FakeModule` | `Fault`
`FakeModule` | `Binary`
`FakeModule` | `Boolean`
`FakeModule` | `DateTime`
`int` | `FAILURE`
`_Feature` | `nested_scopes`
`int` | `NOT_FOUND`
`string` | `payloadTemplate`
`SelectReactor` | `reactor`
`FakeModule` | `xmlrpclib`

Variable Details

### Binary

  Type:
    `FakeModule`
  Value:

        <Fake xmlrpclib.Binary>

### Boolean

  Type:
    `FakeModule`
  Value:

        <Fake xmlrpclib.Boolean>

### DateTime

  Type:
    `FakeModule`
  Value:

        <Fake xmlrpclib.DateTime>

### FAILURE

  Type:
    `int`
  Value:

        8002

### Fault

  Type:
    `FakeModule`
  Value:

        <Fake xmlrpclib.Fault>

### nested_scopes

  Type:
    `_Feature`
  Value:

        Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'final', 0))

### NOT_FOUND

  Type:
    `int`
  Value:

        8001

### payloadTemplate

  Type:
    `string`
  Value:

        '''<?xml version="1.0"?>
        <methodCall>
        <methodName>%s</methodName>
        %s
        </methodCall>
        '''

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

### xmlrpclib

  Type:
    `FakeModule`
  Value:

        <Fake xmlrpclib>

Generated by Epydoc 1.1 on Sat Feb 15 21:19:34 2003 | http://epydoc.sf.net